# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog]
(https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning]
(https://semver.org/spec/v2.0.0.html).

## [2.0.0] - 2021-11-24
### Changed
- Migrated to Rack v2

### Added
- Port/switch labels
- Module bypassing
- Manual URLs for Chronoblob2 and T-Wrex

### Removed
- Chronoblob2: Removed delay mode selectors from context menu

## [1.0.4] - 2021-11-24
### Changed
- Zzzorb: Mix down polyphonic inputs to mono

### Fixed
- Zzzorb: Fixed inverted VCA output
- Zzzorb: Fixed pitch input, instead of VCA output, controlling the
  normalization path from VCA to VCF
- T-Wrex: Fixed artifacting with large-valued negative Chomp CV

## [1.0.3] - 2020-07-01
### Added
- Zzzorb module

### Changed
- Chronoblob2 - Improved input compressor curve

## [1.0.2] - 2019-10-03
### Changed
- Chronoblob2: reduced CPU usage

## [1.0.1] - 2019-08-23
### Changed
- Fixed a bug causing VCV Rack to crash sometimes after deleting an instance of
  Chronoblob2 when using multiple instances

## [1.0.0] - 2019-06-19
### Added
- This changelog

### Changed
- Ported to Rack 1.0
- Chronoblob2: Fixed a bug causing negative feedback

## [0.6.2] - 2019-05-21
### Changed
- Linux: Forced linkage with glibc 2.23 in order to support older OS releases
- Chronoblob2: Fixed a bug where the Loop LED stayed lit too long

## [0.6.1] - 2019-04-12
### Changed
- Chronoblob2: Fixed a bug where the saved delay mode setting was not restored
  correctly

## [0.6.0] - 2019-04-10
### Added
- First release (for Rack 0.6.2c)
